Subject: Re: r128 DRI driver now fully functional on PPC

From: Gareth Hughes <[email-masked]>
Date: Mon, 26 Feb 2001 21:28:15 +1100

Michel Dänzer wrote:
>
> First I thought I'd stand corrected, but on second thought - it looks for
> /usr/X11R6-DRI/lib/modules/dri/r128_dri.so on my machine (if ProjectRoot is
> /usr/X11R6-DRI), but /usr/X11R6-DRI/lib isn't in ld.so.conf . It even looks
> there if I set LD_LIBRARY_PATH to the exports/lib directory in the build tree.
>
> Am I still not getting it? :)

Sorry, my mistake.  libGL.so opens $MODULEDIR/dri/r128_dri.so, where
$MODULEDIR is defined by the Imakefiles (and would be
/usr/X11R6-DRI/lib/modules in your case).  So, the problem may be that
the wrong libGL.so is being picked up -- and this *is* an ld.so.conf
problem.

-- Gareth

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/